%define module pyparsing

Summary:        A general parsing module for Python
Name:           python-%{module}
Version:        1.5.5
Release:        %mkrel 4
License:        MIT
Group:          Development/Python
URL:            http://pyparsing.wikispaces.com/
Source0:        http://downloads.sourceforge.net/project/pyparsing/pyparsing/%{module}-%{version}/%{module}-%{version}.tar.gz

BuildRequires:  python-devel

BuildArch:      noarch

Provides:       pyparsing

%description
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.


%package docs
Summary:        A general parsing module for Python
Group:          Development/Python

%description docs
This package includes the HTML documentataion and examples of %{module}.


%package -n python3-pyparsing
Summary:        A general parsing module for Python 3
Group:          Development/Python

BuildRequires:  python3-devel

%description -n python3-pyparsing
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

This is the Python 3 version.


%prep
%setup -q -c
mv %{module}-%{version} python2
pushd python2
    # fix encoding
    for file in CHANGES \
      docs/examples/mozillaCalendarParser.py \
      docs/examples/holaMundo.py; do
      iconv -f=ISO-8859-1 -t=UTF8 -o $file.utf8 $file
      touch -r $file $file.utf8
      mv -f $file.utf8 $file
    done

    # fix end-of-line encoding
    sed -i 's/\r//' README CHANGES LICENSE

    for file in docs/examples/* docs/htmldoc/{epydoc.js,epydoc.css}; do
        sed -i 's/\r//' $file
    done
popd
cp -r python2 python3

%build
pushd python2
    python setup.py build
popd

pushd python3
    python3 setup.py build
popd

%install
pushd python2
    python setup.py install --skip-build --root=%{buildroot}
popd

pushd python3
    python3 setup.py install --skip-build --root=%{buildroot}
popd

%files
%doc python2/CHANGES python2/LICENSE python2/README
%{python_sitelib}/%{module}.py
%{python_sitelib}/%{module}-%{version}-py%{pyver}.egg-info

%files docs
%doc python2/docs/*

%files -n python3-pyparsing
%doc python3/CHANGES python3/LICENSE python3/README
%{python3_sitelib}/%{module}.py
%{python3_sitelib}/%{module}-%{version}-py%{py3ver}.egg-info


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.5.5-4.mga3
+ Revision: 379387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 12 2012 kamil <kamil> 1.5.5-3.mga3
+ Revision: 222874
- build python3-pyparsing

* Fri May 13 2011 ahmad <ahmad> 1.5.5-2.mga1
+ Revision: 97796
- Add provides pyparsing

* Fri May 13 2011 ahmad <ahmad> 1.5.5-1.mga1
+ Revision: 97778
- imported package python-pyparsing

